<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: framework::sensoractuator::Gx3_25_ahrs Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1sensoractuator_1_1_gx3__25__ahrs.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(10)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1sensoractuator_1_1_gx3__25__ahrs-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::sensoractuator::Gx3_25_ahrs Class Reference<div class="ingroups"><a class="el" href="group___sensor_actuator.html">SensorActuator</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Class for 3dmgx3-25 ahrs.  
 <a href="classframework_1_1sensoractuator_1_1_gx3__25__ahrs.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_gx3__25__ahrs_8h_source.html">Gx3_25_ahrs.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::sensoractuator::Gx3_25_ahrs:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1sensoractuator_1_1_gx3__25__ahrs.png" usemap="#framework::sensoractuator::Gx3_25_ahrs_map" alt=""/>
  <map id="framework::sensoractuator::Gx3_25_ahrs_map" name="framework::sensoractuator::Gx3_25_ahrs_map">
<area href="classframework_1_1filter_1_1_ahrs.html" title="Abstract class for AHRS. " alt="framework::filter::Ahrs" shape="rect" coords="0,112,242,136"/>
<area href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. " alt="framework::core::IODevice" shape="rect" coords="0,56,242,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,242,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad4e532757171ae4c16be23a4be3674d0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad4e532757171ae4c16be23a4be3674d0"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Gx3_25_ahrs</b> (<a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string name, std::string fd_name, Gx3_25_imu::Command command, int priority)</td></tr>
<tr class="separator:ad4e532757171ae4c16be23a4be3674d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54fd3492c93289e41987a362b85daf8d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a54fd3492c93289e41987a362b85daf8d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Start</b> (void)</td></tr>
<tr class="separator:a54fd3492c93289e41987a362b85daf8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1filter_1_1_ahrs"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1filter_1_1_ahrs')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1filter_1_1_ahrs.html">framework::filter::Ahrs</a></td></tr>
<tr class="memitem:a34f4ea6b1b8358afd468d424b18acae3 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#a34f4ea6b1b8358afd468d424b18acae3">Ahrs</a> (<a class="el" href="classframework_1_1sensoractuator_1_1_imu.html">sensoractuator::Imu</a> *parent, std::string name)</td></tr>
<tr class="memdesc:a34f4ea6b1b8358afd468d424b18acae3 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a34f4ea6b1b8358afd468d424b18acae3">More...</a><br/></td></tr>
<tr class="separator:a34f4ea6b1b8358afd468d424b18acae3 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a612a8b455de26e6b58f443aecf43e358 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#a612a8b455de26e6b58f443aecf43e358">~Ahrs</a> ()</td></tr>
<tr class="memdesc:a612a8b455de26e6b58f443aecf43e358 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a612a8b455de26e6b58f443aecf43e358">More...</a><br/></td></tr>
<tr class="separator:a612a8b455de26e6b58f443aecf43e358 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae31c67d98ce3755c04a41ae015aa6a30 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#ae31c67d98ce3755c04a41ae015aa6a30">GetEuler</a> (<a class="el" href="classframework_1_1core_1_1_euler.html">core::Euler</a> *euler)</td></tr>
<tr class="memdesc:ae31c67d98ce3755c04a41ae015aa6a30 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get euler angles.  <a href="#ae31c67d98ce3755c04a41ae015aa6a30">More...</a><br/></td></tr>
<tr class="separator:ae31c67d98ce3755c04a41ae015aa6a30 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6597b57b8fa256b99e228db66f2b696 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#ac6597b57b8fa256b99e228db66f2b696">GetAngSpeed</a> (<a class="el" href="classframework_1_1core_1_1_point3_d.html">core::Point3D</a> *point)</td></tr>
<tr class="memdesc:ac6597b57b8fa256b99e228db66f2b696 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get angular speed.  <a href="#ac6597b57b8fa256b99e228db66f2b696">More...</a><br/></td></tr>
<tr class="separator:ac6597b57b8fa256b99e228db66f2b696 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a962e1a37ac4bab343405ad91dd12e1b3 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#a962e1a37ac4bab343405ad91dd12e1b3">Lock</a> (void)</td></tr>
<tr class="memdesc:a962e1a37ac4bab343405ad91dd12e1b3 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lock the graphical interface.  <a href="#a962e1a37ac4bab343405ad91dd12e1b3">More...</a><br/></td></tr>
<tr class="separator:a962e1a37ac4bab343405ad91dd12e1b3 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50321650f42782b6f4b949f781b89ad2 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#a50321650f42782b6f4b949f781b89ad2">Unlock</a> (void)</td></tr>
<tr class="memdesc:a50321650f42782b6f4b949f781b89ad2 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unlock the graphical interface.  <a href="#a50321650f42782b6f4b949f781b89ad2">More...</a><br/></td></tr>
<tr class="separator:a50321650f42782b6f4b949f781b89ad2 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abef8aab89f59d74586fddd1badbc28ec inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#abef8aab89f59d74586fddd1badbc28ec">UseDefaultPlot</a> (void)</td></tr>
<tr class="memdesc:abef8aab89f59d74586fddd1badbc28ec inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use default plot.  <a href="#abef8aab89f59d74586fddd1badbc28ec">More...</a><br/></td></tr>
<tr class="separator:abef8aab89f59d74586fddd1badbc28ec inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9f21b36c17ed85277b2719a505a7627 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_tab.html">gui::Tab</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#ab9f21b36c17ed85277b2719a505a7627">PlotTab</a> (void)</td></tr>
<tr class="memdesc:ab9f21b36c17ed85277b2719a505a7627 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Plot tab.  <a href="#ab9f21b36c17ed85277b2719a505a7627">More...</a><br/></td></tr>
<tr class="separator:ab9f21b36c17ed85277b2719a505a7627 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5017d301f27ad06c3af4226a9f067cda inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#a5017d301f27ad06c3af4226a9f067cda">RollPlot</a> (void)</td></tr>
<tr class="memdesc:a5017d301f27ad06c3af4226a9f067cda inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Roll plot.  <a href="#a5017d301f27ad06c3af4226a9f067cda">More...</a><br/></td></tr>
<tr class="separator:a5017d301f27ad06c3af4226a9f067cda inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55e7f02f9ab5bc400b2915efe95738e6 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#a55e7f02f9ab5bc400b2915efe95738e6">PitchPlot</a> (void)</td></tr>
<tr class="memdesc:a55e7f02f9ab5bc400b2915efe95738e6 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pitch plot.  <a href="#a55e7f02f9ab5bc400b2915efe95738e6">More...</a><br/></td></tr>
<tr class="separator:a55e7f02f9ab5bc400b2915efe95738e6 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb16ece93a34269da112b41ca092fd13 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#acb16ece93a34269da112b41ca092fd13">YawPlot</a> (void)</td></tr>
<tr class="memdesc:acb16ece93a34269da112b41ca092fd13 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Yaw plot.  <a href="#acb16ece93a34269da112b41ca092fd13">More...</a><br/></td></tr>
<tr class="separator:acb16ece93a34269da112b41ca092fd13 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a490b952fffe27171f8030c07cc134b4d inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#a490b952fffe27171f8030c07cc134b4d">WXPlot</a> (void)</td></tr>
<tr class="memdesc:a490b952fffe27171f8030c07cc134b4d inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation speed around x axis plot.  <a href="#a490b952fffe27171f8030c07cc134b4d">More...</a><br/></td></tr>
<tr class="separator:a490b952fffe27171f8030c07cc134b4d inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f4ae6a9ceb3eb26c64d5ce95c0a97c8 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#a5f4ae6a9ceb3eb26c64d5ce95c0a97c8">WYPlot</a> (void)</td></tr>
<tr class="memdesc:a5f4ae6a9ceb3eb26c64d5ce95c0a97c8 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation speed around y axis plot.  <a href="#a5f4ae6a9ceb3eb26c64d5ce95c0a97c8">More...</a><br/></td></tr>
<tr class="separator:a5f4ae6a9ceb3eb26c64d5ce95c0a97c8 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2be85df0d282709be00a1df4ff56a8d inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#af2be85df0d282709be00a1df4ff56a8d">WZPlot</a> (void)</td></tr>
<tr class="memdesc:af2be85df0d282709be00a1df4ff56a8d inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation speed around z axis plot.  <a href="#af2be85df0d282709be00a1df4ff56a8d">More...</a><br/></td></tr>
<tr class="separator:af2be85df0d282709be00a1df4ff56a8d inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td></tr>
<tr class="memitem:a95b56a32dc9a0af90da89ed351385b57 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a95b56a32dc9a0af90da89ed351385b57">IODevice</a> (<a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:a95b56a32dc9a0af90da89ed351385b57 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a95b56a32dc9a0af90da89ed351385b57">More...</a><br/></td></tr>
<tr class="separator:a95b56a32dc9a0af90da89ed351385b57 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#aca7bca58d80d05ade95107d40cc54edd">~IODevice</a> ()</td></tr>
<tr class="memdesc:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aca7bca58d80d05ade95107d40cc54edd">More...</a><br/></td></tr>
<tr class="separator:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab908771540c2c4ab3f061bde6729ec28 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#ab908771540c2c4ab3f061bde6729ec28">AddDeviceToLog</a> (<a class="el" href="classframework_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:ab908771540c2c4ab3f061bde6729ec28 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a> to the logs.  <a href="#ab908771540c2c4ab3f061bde6729ec28">More...</a><br/></td></tr>
<tr class="separator:ab908771540c2c4ab3f061bde6729ec28 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a2c0d3a6932a32e14fe0da2cb5d396c8f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a2c0d3a6932a32e14fe0da2cb5d396c8f">Object</a> (<a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a2c0d3a6932a32e14fe0da2cb5d396c8f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a2c0d3a6932a32e14fe0da2cb5d396c8f">More...</a><br/></td></tr>
<tr class="separator:a2c0d3a6932a32e14fe0da2cb5d396c8f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br/></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7f53a758a9fceb50c44751854929960 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aa7f53a758a9fceb50c44751854929960">ObjectName</a> (void)</td></tr>
<tr class="memdesc:aa7f53a758a9fceb50c44751854929960 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#aa7f53a758a9fceb50c44751854929960">More...</a><br/></td></tr>
<tr class="separator:aa7f53a758a9fceb50c44751854929960 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2374065f2e4c5fbf8878e6a29fbf16b7 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a2374065f2e4c5fbf8878e6a29fbf16b7">ObjectType</a> (void)</td></tr>
<tr class="memdesc:a2374065f2e4c5fbf8878e6a29fbf16b7 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a2374065f2e4c5fbf8878e6a29fbf16b7">More...</a><br/></td></tr>
<tr class="separator:a2374065f2e4c5fbf8878e6a29fbf16b7 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c95035e30ff6514f1b419fb85448a8c inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a5c95035e30ff6514f1b419fb85448a8c">Parent</a> (void)</td></tr>
<tr class="memdesc:a5c95035e30ff6514f1b419fb85448a8c inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a5c95035e30ff6514f1b419fb85448a8c">More...</a><br/></td></tr>
<tr class="separator:a5c95035e30ff6514f1b419fb85448a8c inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0b037da8cdd7c40b211888442dacd3d inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac0b037da8cdd7c40b211888442dacd3d">TypeChilds</a> (void)</td></tr>
<tr class="memdesc:ac0b037da8cdd7c40b211888442dacd3d inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#ac0b037da8cdd7c40b211888442dacd3d">More...</a><br/></td></tr>
<tr class="separator:ac0b037da8cdd7c40b211888442dacd3d inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7d6e338d564ee997523131d3e53efb6 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ad7d6e338d564ee997523131d3e53efb6">Childs</a> (void)</td></tr>
<tr class="memdesc:ad7d6e338d564ee997523131d3e53efb6 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#ad7d6e338d564ee997523131d3e53efb6">More...</a><br/></td></tr>
<tr class="separator:ad7d6e338d564ee997523131d3e53efb6 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a83ff865df29be24a15e50d7382876e inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8a83ff865df29be24a15e50d7382876e">Warning</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a8a83ff865df29be24a15e50d7382876e inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a8a83ff865df29be24a15e50d7382876e">More...</a><br/></td></tr>
<tr class="separator:a8a83ff865df29be24a15e50d7382876e inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a777476dd40eaf5ca7733c2e1aaeb90dd inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a777476dd40eaf5ca7733c2e1aaeb90dd">Error</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a777476dd40eaf5ca7733c2e1aaeb90dd inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a777476dd40eaf5ca7733c2e1aaeb90dd">More...</a><br/></td></tr>
<tr class="separator:a777476dd40eaf5ca7733c2e1aaeb90dd inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa57e9e38dcc7f0388071eb54c2b30be4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aa57e9e38dcc7f0388071eb54c2b30be4">ErrorOccured</a> (bool recursive=true)</td></tr>
<tr class="memdesc:aa57e9e38dcc7f0388071eb54c2b30be4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#aa57e9e38dcc7f0388071eb54c2b30be4">More...</a><br/></td></tr>
<tr class="separator:aa57e9e38dcc7f0388071eb54c2b30be4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classframework_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td></tr>
<tr class="memitem:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a50eb13bc82e98bc0e170d77bba026de4">ProcessUpdate</a> (<a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process the childs of type <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>, and log if needed.  <a href="#a50eb13bc82e98bc0e170d77bba026de4">More...</a><br/></td></tr>
<tr class="separator:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad622dcf9bb33bf0a4230ce76c2152904 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#ad622dcf9bb33bf0a4230ce76c2152904">SetDataToLog</a> (<a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:ad622dcf9bb33bf0a4230ce76c2152904 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> to be logged.  <a href="#ad622dcf9bb33bf0a4230ce76c2152904">More...</a><br/></td></tr>
<tr class="separator:ad622dcf9bb33bf0a4230ce76c2152904 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classframework_1_1filter_1_1_ahrs"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classframework_1_1filter_1_1_ahrs')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classframework_1_1filter_1_1_ahrs.html">framework::filter::Ahrs</a></td></tr>
<tr class="memitem:ad9fec34317180c93ee1b3dcceb1535b4 inherit pro_attribs_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_imu_data.html">core::ImuData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#ad9fec34317180c93ee1b3dcceb1535b4">imudata</a></td></tr>
<tr class="memdesc:ad9fec34317180c93ee1b3dcceb1535b4 inherit pro_attribs_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">ImuData.  <a href="#ad9fec34317180c93ee1b3dcceb1535b4">More...</a><br/></td></tr>
<tr class="separator:ad9fec34317180c93ee1b3dcceb1535b4 inherit pro_attribs_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class for 3dmgx3-25 ahrs. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><b>sensoractuator</b></li><li class="navelem"><a class="el" href="classframework_1_1sensoractuator_1_1_gx3__25__ahrs.html">Gx3_25_ahrs</a></li>
    <li class="footer">Generated on Tue Mar 25 2014 13:01:10 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
